INSTALLPKG(8)

NAMN
installpkg - installera Slackware paket.

ÖVERSIKT
installpkg [ --warn ] [ --md5sum ] [ --root /annanroot ] [ --infobox ] [ --menu ] [ --terse ] [ --ask ] [ --priority ADD|REC|OPT|SKP ] [ --tagfile /katalog/tagfil ] paketnamn [ paketnamn2... ]

BESKRIVNING
installpkg installerar en eller flera *.tgz (eller .tbz, .tlz, .txz) binärpaket som utformats för användning med Slackware Linux-distribution på ditt system.

ALTERNATIV

--warn paketnamn
    Generera en lista med filer som skulle skrivas över till standard ut, men installerar egentligen inte paketet. Listan är formaterad på ett lämpligt sätt för att använda som en lista med filer att säkerhetskopiera.

--md5sum paketnamn
    Registrera paketets md5sum i metadata skriven i /var/log/paket.

--root /annanroot
    Installera på en annan plats än / (standard) som root av filsystemet att installera på. I det givna exemplet, används /annanroot istället. Inställning av ROOT miljövariabeln gör samma sak.

--infobox
    Använd /bin/dialog för att visa en informationsdialogruta när paketet är installerat. Används främst när installpkg anropas från andra skript.

--menu
    Använd /bin/dialog för att visa en meny som frågar användaren om de vill installera paketet(er) eller inte. Används generellt när installpkg anropas från andra skript.

--terse
    Installera paketet och visar endast en rad beskrivning till stdout.

--ask
    Används med -menu läge. När du väljer detta, frågas alltid om ett paket ska installeras oavsett vad paketets prioritet är.

--priority ADD|REC|OPT|SKP
    Vid installation med -menu alternativet är paketprioritetsnivåer (som finns i filen "tagfile" i paket-katalogen) som används för att automatiskt installera (ADD) eller hoppa över (SKP) ett paket, eller att rekommendera (REC) eller frivilliga (OPT) för användaren om en meny visas. Om prioritet är inställd på kommandoraden kommer det att åsidosätta de värden som finns i tagfilen för hela paketlistan.

--tagfile /katalog/tagfil
    Ange en annan fil som ska användas för paket prioriteringar (i detta exempel kommer, /katalog/tagfil att användas). Standard är "tagfile" i paket-katalog.

EXEMPEL

Installera teckensnittspaket för X:

installpkg font-bh-ttf-1.0.3-noarch-1.txz

Observera att om ett paket redan är installerat, bör upgradepkg(8) användas i stället.

Skapa en säkerhetskopia av filer som skulle skrivas över om paketet är installerat:

tar czvf /tmp/backupp.tar.gz \
$(installpkg --warn font-bh-ttf-1.0.3-noarch-1.txz)

FÖRFATTARE
Patrick J. Volkerding <volkerdi@slackware.com>

SE OCKSÅ
makepkg(8), removepkg(8), explodepkg(8), pkgtool(8), upgradepkg(8)